'===============================================================
'                                                              '
' This include file (registrylib.inc) and its associated       '
' library file (registry.lib) are copyright of Andy Hunt 2017. '
'                                                              '
' You may use the above files for personal, domestic,          '
' non-commerical use only.                                     '
'                                                              '
'===============================================================

$use "Registry.lib"

$ifndef __windowssdk_inc__
    $define __winreg_inc__
    $include "windowssdk.inc"
$endif

declare extern GetRoot(Key as string),UInt
declare extern RegGetValue(Key as string,opt ValueName as string),string
declare extern RegGetValueA(Key as string,opt ValueName as string),string
declare extern RegGetDWValue(Key as string,opt ValueName as string),string
declare extern RegGetEntryType(Key as string,opt ValueName as string),INT
declare extern RegDeleteValue(Key as string,ValueName as string),string
declare extern RegSetValue(Key as string,Value as string,opt ValueName as string),int
declare extern RegSetESValue(Key as string,Value as string,opt ValueName as string,lns as int),int 
declare extern RegSetDWValue(Key as string,Value as int,opt ValueName as string),int
declare extern RegCreateKey(Key as string),int
declare extern RegDeleteKey(Key as string),int
declare extern RegEnumKey(STRING Key,INT Index),STRING
declare extern RegEnumEntryName(STRING Key,INT Index),string
declare extern RegCountSubKeys(STRING Key),INT 
declare extern RegCountEntries(STRING Key),INT
declare extern RegDeleteAll(Key as string),int
declare extern RegDeleteSubKeys(Key as string),int
declare extern RegDummyDel(Key as string),string 
declare extern RegGetMSValue(Key As istring, ValueName As iString),string 'Multi String
declare extern RegGetMSValueStr(Key As istring, ValueName As iString),string 'Multi String
declare extern RegSetMSValue(Key as string,Value as istring,opt ValueName as string,lns as int),int 
declare extern RegGetBinValue(Key As string, ValueName As String),string 'Binary
declare extern RegSetBinValue(Key as string,lns as int,Value as Istring,opt ValueName as string),int 
declare extern RegCopyKey(Key as String,ToKey as string),int
declare extern RegRenameKey(string mykey,string newkey),int
declare extern RegKeyExists(Key as string),int
declare extern RegCountAllSubKeys(Key as string),int
declare extern RegGetQWValue(Key as string,opt ValueName as string),uint64
declare extern RegSetQWValue(Key as string,Value as uint64,opt ValueName as string),int
declare extern RegGetDWValueU32(Key as string,opt ValueName as string),uint64 'DWord Value
declare extern RegSetNoneValue(Key as string,lns as int,Value as istring,opt ValueName as string),int 
declare extern RegSetResourceValue(Key as string,lns as int,Value as istring,opt ValueName as string),int 
declare extern RegSetResourceDescriptorValue(Key as string,lns as int,Value as istring,opt ValueName as string),int 
declare extern RegExportKey(string Key),int 
declare extern RegGetQWValueHex(Key as string,opt ValueName as string),string
declare extern RegGetResList(Key As istring, ValueName As iString),string
declare extern RegSetResListValue(Key as string,lns as int,Value as istring,opt ValueName as string),int 
declare extern RegGetFullResDesc(Key As istring, ValueName As iString),string 'Full Resource Descriptor
declare extern RegSetFullResDescValue(Key as string,lns as int,Value as istring,opt ValueName as string),int 
declare extern RegGetBinValueAsc(Key As istring, ValueName As iString),string 'Binary
declare extern RegGetType(Key as string,opt ValueName as string),int
declare extern RegGetName(Key as string,opt ValueName as string),string
declare extern RegGetQWValueU64(Key as string,opt ValueName as string),uint64 'QWord Value
declare extern RegRead(Key as string,opt ValueName as string),int
declare extern RegWrite(Key as string,opt ValueName as string),int
declare extern RegDeleteSubs(Key as String,opt SubKey as string),int
declare extern RegRenKey(Key as String,NewName as string),uint
declare extern RegGetAccessFull(Key as String),int
declare extern RegGetAccessRead(Key as String),int
declare extern RegLoadKey(UnameIn as string,UnamePath as string),uint
declare extern RegUnLoadKey(UnameIn as string),uint

declare extern MyBase(string Stringin),int
declare extern ToBase(intValue As Int,Base As Int),String
declare extern RegRn(),int 
declare extern RegRoot(Key as String),int

extern RegBinVal[100000] as char
extern RegBinValL as int
extern MulL as int 
extern Mul[10000] as istring

istring ShowMulti[50000] = ""
istring msretval[2000000] = ""
istring myretval[2000000] = ""

'End of Include file.
